(function() {
    
    /* ----- Variables ----- */
    var homeTpl = Handlebars.compile($("#home-tpl").html());
    var storyLiTpl = Handlebars.compile($("#story-li-tpl").html());
                                     
    var dataAdapter = new MemoryAdapter();
    dataAdapter.initialize().done( function() {
        renderHomeView();
    });
    
    
    
    /* ----- Function ----- */
    function findByTitle() {
        dataAdapter.findByTitle( $('.search-key').val() ).done( function( storyies ) {
            $('.story-list').html( storyLiTpl( storyies ) );
        }); 
    }
    
    
    function showAlert( message, title ) {
        if ( navigator.notification ) {
            navigator.notification.alert( message, null, title, 'OK' );
        }
        else {
            alert( title ? ( title + ": " + message ) : message );
        }
    }
    
    
    function renderHomeView() {
        $('body').html( homeTpl() );
        $('.search-key').on('keyup', findByTitle );
    }
    
    
})();