var MemoryAdapter = function() {
        
    
    
    /**
    * 初期化
    */
    this.initialize = function() {
        var deferred = $.Deferred();
        deferred.resolve();
        return deferred.promise();
    };
    
    
    
    /**
    * IDで検索
    */
    this.findById = function( id ) {
        var deferred = $.Deferred(),
            story = null,
            i = 0, 
            len = stories.length;
        
        for ( i = 0; i < len; i ++ ) {
            if ( stories[i].id === id ) {
                story = stories[i];
                break;
            }
        }
        deferred.resolve(story);
        return deferred.promise();
    };
    
    
    /**
    * タイトルで検索
    */
    this.findByTitle = function( searchKey ) {
        var deferred = $.Deferred(),
            results = stories.filter(function (element) {
                var title = element.title;
                return title.toLowerCase().indexOf(searchKey.toLowerCase()) > -1;
            });
        deferred.resolve(results);
        return deferred.promise();
    };
    
    
    
    /*
    * In-Memoryデーター
    * ## Debug用 ##
    */
    var stories = [
        {'id': '01', 'title': '22歳の彩は、カメラ好きの父と家族の思い出を語る。', 'release': '2012/09/13', 'duration': '05:44', 'youtube': 'tGIqOohRMjg'},
        {'id': '02', 'title': 'さぁ、彩の面接はうまくいくのか', 'release': '2012/09/20', 'duration': '01:47', 'youtube': 'cVJDP3sHZMs'},
        {'id': '03', 'title': '父との夕食、うっかり彩が撮り忘れたものとは。', 'release': '2012/09/27', 'duration': '01:27', 'youtube': '9zHpbmLEV38'},
        {'id': '04', 'title': '「私 by 父」　父親のとってくれた証明写真', 'release': '2012/10/04', 'duration': '01:35', 'youtube': 'WUVShU6jiSE'},
        {'id': '05', 'title': 'リビングの家族写真に秘められた物語', 'release': '2012/10/11', 'duration': '01:41', 'youtube': 'aU6RJtB2Bns'},
        {'id': '06', 'title': '思い出の公園の白いベンチを求めて', 'release': '2012/10/18', 'duration': '01:48', 'youtube': 'hsvVIJG_gic'},
        {'id': '07', 'title': '写真に込められた、父と母の想い', 'release': '2012/10/25', 'duration': '02:26', 'youtube': 'kEbq277Dc7U'},
        {'id': '08', 'title': '面接、再び。父の撮った証明写真は効果があるのか？', 'release': '2012/11/01', 'duration': '01:34', 'youtube': 'lG_PX99si_Y'},
        {'id': '09', 'title': '若い頃の父と母の写真、そして小さい時の彩の写真も。', 'release': '2012/11/08', 'duration': '01:38', 'youtube': 'fpuC86l_r1k'},
        {'id': '10', 'title': '家族写真の裏に残した母の最後のメッセージ。', 'release': '2012/11/15', 'duration': '01:49', 'youtube': 'JeYKbO-JTCI'},
        {'id': '11', 'title': '2秒で恋をして、5秒後にふられるかもしれない。', 'release': '2012/11/22', 'duration': '02:17', 'youtube': 'kTPJfyuSvMs'},
        {'id': '12', 'title': '彩の部屋', 'release': '2012/11/29', 'duration': '02:48', 'youtube': 'Ejd8PhWYj_o'},
        {'id': '13', 'title': '悠太の事を告げられた、父の反応は。', 'release': '2012/12/06', 'duration': '01:31', 'youtube': 'SvowREbHlJ4'},
        {'id': '14', 'title': '思い出の場所で悠太と語らう。', 'release': '2012/12/13', 'duration': '02:32', 'youtube': 'YDKzeppBSSw'},
        {'id': '15', 'title': '二人のちょっとしたズレ', 'release': '2012/12/20', 'duration': '01:36', 'youtube': 'OFme3DDgqtY'},
        {'id': '16', 'title': '愛情が強いほど、', 'release': '2012/12/27', 'duration': '02:49', 'youtube': '8ssij3BeHOc'},
        {'id': '17', 'title': '悠太の行動', 'release': '2013/01/10', 'duration': '01:41', 'youtube': 'LDbuwYHXQl8'},
        {'id': '18', 'title': '亜沙美の告げ口', 'release': '2013/01/17', 'duration': '01:43', 'youtube': 'WhcBqC0zqq0'},
        {'id': '19', 'title': '人を失うってなんて、悲しいんだろう。', 'release': '2013/01/24', 'duration': '02:42', 'youtube': 'vWs9bGBuNjs'},
        {'id': '20', 'title': '悠太と別れた夜、親友の亜沙美と飲み明かす。', 'release': '2013/01/31', 'duration': '01:11', 'youtube': 'BF1sq8mdXkQ'},
        {'id': '21', 'title': '門限を破った彩に、父の雷が落ちるが...。', 'release': '2013/02/07', 'duration': '02:35', 'youtube': 'bAkNFCj4-84'},
        {'id': '22', 'title': 'グッパイ、わたしの恋', 'release': '2013/02/14', 'duration': '01:24', 'youtube': 'ExMmbi6i29E'},
        {'id': '23', 'title': '会社やめるって、本当ですか。', 'release': '2013/02/21', 'duration': '02:22', 'youtube': 'h3VyYyiSHYQ'},
        {'id': '24', 'title': '「東京には空がない」by 高村智恵子', 'release': '2013/02/28', 'duration': '02:28', 'youtube': 'sEU7cGZRi3g'},
        {'id': '25', 'title': '父へのプレゼント', 'release': '2013/03/07', 'duration': '01:57', 'youtube': 'v4iUNuKykjY'},
        {'id': '26', 'title': '父が連れて帰ってきた人', 'release': '2013/03/14', 'duration': '01:53', 'youtube': 'D-9HFqUG9zM'},
        {'id': '27', 'title': '父の誕生日の夜', 'release': '2013/03/21', 'duration': '01:30', 'youtube': 'ielHIh0Bp_o'},
        {'id': '28', 'title': '麻里子のプレゼント', 'release': '2013/03/28', 'duration': '01:39', 'youtube': 'e6wfAN2KkfY'},
        {'id': '29', 'title': 'どうなる？！青嶋家', 'release': '2013/04/04', 'duration': '02:03', 'youtube': 'vg12Fcc-Bt4'},
        {'id': '30', 'title': '夜中のケーキと、達也の本音。', 'release': '2013/04/11', 'duration': '01:27', 'youtube': 'Gl4Ow6Pj0SQ'},
        {'id': '31', 'title': 'お父さん、再婚とかするの？', 'release': '2013/04/18', 'duration': '01:26', 'youtube': 'Bbd23XYPO5A'},
        {'id': '32', 'title': '私のプレゼント、微妙にかぶっている！？', 'release': '2013/04/25', 'duration': '01:21', 'youtube': 'YUCniNxmOCU'},
        {'id': '33', 'title': '麻里子と彩の気まずい関係', 'release': '2013/05/02', 'duration': '02:33', 'youtube': 'hw5Kd41Awxg'},
        {'id': '34', 'title': '悲しみを知っている人', 'release': '2013/05/09', 'duration': '03:09', 'youtube': 'armUYsqj5IM'},
        {'id': '35', 'title': 'お互いの気持ち', 'release': '2013/05/16', 'duration': '01:38', 'youtube': 'UgMjNfzl2Vg'},
        {'id': '36', 'title': '父の思い', 'release': '2013/05/23', 'duration': '00:48', 'youtube': 'UgMjNfzl2Vg'},
        {'id': '37', 'title': '門限23時', 'release': '2013/05/30', 'duration': '01:18', 'youtube': 'rFVykwQ3uXM'}
    ];
};