Siriz.views.StoryListView = Backbone.View.extend({

    tagName:'ul',

    attributes: {class: 'topcoat-list list story-list'},

    initialize:function () {
        var self = this;
        this.model.on("reset", this.render, this);
        this.model.on("add", function (story) {
            self.$el.append(new Siriz.views.StoryListItemView({model:story}).render().el);
        });
    },

    render:function () {
        this.$el.empty();
        _.each(this.model.models, function (story) {
            
            this.$el.append(new Siriz.views.StoryListItemView({model:story}).render().el);
        }, this);
        return this;
    }
});

Siriz.views.StoryListItemView = Backbone.View.extend({

    tagName:"li",

    className:"topcoat-list__item",

    initialize:function () {
        this.model.on("change", this.render, this);
        this.model.on("destroy", this.close, this);
    },

    render:function () {
        this.$el.html(this.template(this.model.attributes));
        return this;
    }

});